Komponente Entfernen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Remove and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎日本語

Arch Remove.svg Arch Entfernen

Menüeintrag
Architektur → Entfernen
Arbeitsbereich
Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Arch SchneideLinie, Arch SchneideEbene, Arch Hinzufügen


Beschreibung

Das Entfernen Werkzeug erlaubt dir zwei Arten von Operationen:

  • Entfernen einer Unterkomponente aus einem Architekturobjekt, zum Beispiel einen Kasten entfernen, der an einer Wand angebracht wurde, wie in dem Arch Add.svg Arch Add Beispiel.
  • Subtrahieren eines Form-basierten Objektes aus einer Architekturkomponente wie z.B. einer Arch Wall.svg Arch Mauer oder Arch Structure.svg Arch Struktur

Das Gegenstück dieses Werkzeugs ist das Arch Add.svg Arch Hinzufügen Werkzeug.

Arch Remove example.jpg

Ein Quader wird von einer Wand subtrahiert und hinterlässt in ihr eine Aussparung.


Anwendung

  1. Wählen Sie eine Unterkomponente in einem Architekturobjekt
  2. Drücke die Arch Remove.svg Schaltfläche oder ArchArch Remove.svg Entfernen aus dem oberen Menü.

Oder

  1. Wähle zu subtrahierende Objekte, das letzte Objekt muss das Arch Objekt sein, von dem die anderen Objekte substrahiert werden sollen.
  2. Drücke die Arch Remove.svg Schaltfläche oder ArchArch Remove.svg Entfernen aus dem oberen Menü.

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Entfernen Werkzeug kann in Makros und aus der Python Konsole mit der folgenden Funktion verwendet werden:

removeComponents(objectsList, host=None)
  • Entfernt die in objectsList angegebenen Objekte von den Elternobjekten.
  1. Ist ein Host-Objekt angegeben, wird stattdessen versucht, die in objectsList angegebenen Objekte als Aussparungen zum host hinzuzufügen.

Beispiel:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()